Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.temporal
Interface TemporalReferenceSystem

All Superinterfaces:
  IdentifiedObject, ReferenceSystem

All Known Subinterfaces:
  Calendar, Clock, OrdinalReferenceSystem, TemporalCoordinateSystem

    @UML(identifier="TM_ReferenceSystem",
         specification=ISO_19108)
    public interface TemporalReferenceSystem

extends ReferenceSystem

Provides information about a temporal reference system.

This interface is similar to ReferenceSytem and may be deprecated in the future. It is made available currently in order to *exactly* match this ISO 19108 specification with a "domain of validity" association to an Extent.

Field Summary

Fields inherited from interface ReferenceSystem
`DOMAIN_OF_VALIDITY_KEY, SCOPE_KEY, VALID_AREA_KEY`

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`Extent` | `getDomainOfValidity()` Identifies the space and time within which the reference system is applicable.
`ReferenceIdentifier` | `getName()` Provides a name that uniquely identifies the temporal referece system.

Methods inherited from interface ReferenceSystem
`getScope, getValidArea`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getRemarks, toWKT`

Method Detail

### getName

    @UML(identifier="name",
         obligation=MANDATORY,
         specification=ISO_19108)
    ReferenceIdentifier getName()

  Provides a name that uniquely identifies the temporal referece system. Currently returns MD_Identifier, which is defined in ISO 19115, while ISO 19108 requires that RS_Identifier (defined in ISO 19111 and http://www.opengis.org/docs/03-073r1.zip) is returned. From the looks of it, org.opengis.referencing.ReferenceSystem could also fit the bill.

  Specified by:
    `getName` in interface `IdentifiedObject`
  Returns:
    `ReferenceIdentifier` for the temporal reference system

### getDomainOfValidity

    @UML(identifier="DomainOfValidity",
         obligation=MANDATORY,
         specification=ISO_19108)
    Extent getDomainOfValidity()

  Identifies the space and time within which the reference system is applicable. The return type allows for describing both spatial and temporal extent. This attribute shall be used whenever an application schema includes `TemporalPosition`s referenced to a reference system which has a valid extent that is less than the extent of a data set containing such values.

  Please note this is very similar to ReferenceSystem.getValidArea() from ISO 19115.

  Specified by:
    `getDomainOfValidity` in interface `ReferenceSystem`
  Returns:
    The reference system valid domain, or `null` if not available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.